# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "enso-shapely"
version = "0.1.3"
authors = ["Enso Team <enso-dev@enso.org>"]
publish = true
description = "Automated typeclass derivation."
homepage = "https://github.com/enso-org/rust-lib/src/shapely/impl"
readme = "README.md"
keywords = ["typeclass", "deriving"]
categories = ["algorithms"]
license-file = "../../../LICENSE"
repository = "https://github.com/enso-org/rust-lib"

[lib]
crate-type = ["cdylib", "rlib"]
[dependencies.derivative]
version = "1.0.3"

[dependencies.enso-shapely-macros]
version = "0.1.1"

[dependencies.paste]
version = "0.1"

[dependencies.shrinkwraprs]
version = "0.3.0"
[dev-dependencies.wasm-bindgen-test]
version = "0.2"

[features]
default = []
